package com.ruoyi.ibs.list.domain;

public enum RoleEnum {
    admin("超级管理员", "admin"),
    headAdmin("总行管理员", "headAdmin"),
    headPublic("总行对公部室业务管理员", "public"),
    headPrivate("总行对私部室业务管理员", "private"),
    headOps("总行运管部室业务管理员", "ops"),
    branchAdmin("支行管理员", "branchAdmin"),
    outletAdmin("网点主任", "outlet"),
    commonManager("普通客户经理", "manager"),
    otherUser("其他用户", "otherUser");

    private String roleName;
    private String roleKey;

    RoleEnum(String roleName, String roleKey) {
        this.roleName = roleName;
        this.roleKey = roleKey;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleKey() {
        return roleKey;
    }

    public void setRoleKey(String roleKey) {
        this.roleKey = roleKey;
    }

    @Override
    public String toString() {
        return "RoleEnum{" +
                "roleName='" + roleName + '\'' +
                ", roleKey='" + roleKey + '\'' +
                '}';
    }
}
